Package org.eclipse.emf.cdo.server.db

## Interface IDBStore.Props

- Enclosing interface:
    IDBStore

      public static interface IDBStore.Props

  Contains symbolic constants that specify valid keys of `DB store properties`.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CONNECTION_KEEPALIVE_PERIOD` | In minutes.
    `static java.lang.String` | `DROP_ALL_DATA_ON_ACTIVATE` |
    `static java.lang.String` | `FIELD_CONSTRUCTION_TRACKING` |
    `static java.lang.String` | `ID_COLUMN_LENGTH` |
    `static java.lang.String` | `JDBC_FETCH_SIZE` |
    `static java.lang.String` | `READER_POOL_CAPACITY` |
    `static java.lang.String` | `WRITER_POOL_CAPACITY` |

- - ### Field Detail

    - #### CONNECTION_KEEPALIVE_PERIOD

          static final java.lang.String CONNECTION_KEEPALIVE_PERIOD

      In minutes.
      See Also:
        Constant Field Values

    - #### ID_COLUMN_LENGTH

          static final java.lang.String ID_COLUMN_LENGTH

      Since:
        4.2
      See Also:
        Constant Field Values

    - #### READER_POOL_CAPACITY

          static final java.lang.String READER_POOL_CAPACITY

      Since:
        4.2
      See Also:
        Constant Field Values

    - #### WRITER_POOL_CAPACITY

          static final java.lang.String WRITER_POOL_CAPACITY

      Since:
        4.2
      See Also:
        Constant Field Values

    - #### FIELD_CONSTRUCTION_TRACKING

          static final java.lang.String FIELD_CONSTRUCTION_TRACKING

      Since:
        4.3
      See Also:
        Constant Field Values

    - #### DROP_ALL_DATA_ON_ACTIVATE

          static final java.lang.String DROP_ALL_DATA_ON_ACTIVATE

      Since:
        4.4
      See Also:
        Constant Field Values

    - #### JDBC_FETCH_SIZE

          static final java.lang.String JDBC_FETCH_SIZE

      Since:
        4.4
      See Also:
        Constant Field Values